<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        div{
            width: 200px;
            height: 200px;
            background: #dddddd;
            display: inline-block;
            margin-right: 10px;
            border: 1px solid #AAAAAA;
        }
        .azul{
            background: #0074D9;
            border:1px solid #000; 
        }
        .rojo{
            background: #FF4136;
            border: 1px solid #000;
        }
    
    </style>
</head>
<body>
    <section id="contenedor">
        <div class="">

        </div>
        <div class="">

        </div>
    </section>  
    <script>
        var elemento = document.createElement("div"),
            padre=document.getElementById("contenedor");
        var referencia=document.getElementsByTagName("div")[0];    
        elemento.setAttribute("class","azul");
        padre.insertBefore(elemento,referencia);
        //document.body.appendChild(elemento);
    
    </script>  
</body>
</html>